---
# PassBeyond Configuration File

# basedomain - The base domain of the PassBeyond instance.
basedomain: passbeyond.bella.pm
# Debug enables debug mode for more verbose logging.
debug: false

saml:
  # Metadata URL - URL to the SAML metadata file. File is fetched and refreshed automatically.
  idpMetadataURL: https://sso.bella.pm/federationmetadata/2007-06/federationmetadata.xml
  # PublicKey - Public key of the SAML IdP. This is used to verify the signature of the SAML response.
  publickey: myservice.crt
  # PrivateKey - Private key of the SAML IdP. This is used to decrypt the SAML response.
  privatekey: myservice.key
  # usercreation - If set to true, users will be created automatically if they do not exist.
  usercreation: true
  # cacheMetadata - If set to true, the SAML metadata will be cached on disk and will be used
  # if the metadata URL is not available.
  cacheMetadata: true

# LDAP Configuration - Active Directory is required.
ldap:
  # Server - Address or Domain name
  # Performs discovery using SRV records and falls back to directly using
  # the server address.
  server: ad.bella.pm
  # LDAP port to be used. Default is 389.
  port: 636
  # Use TLS for LDAP connection. Default is false.
  ldaps: true
  # BindDN of the user that is used to perform the LDAP connection.
  binddn: CN=Service GoAPI,OU=Service-Accounts,OU=Ressources,OU=bella.network,DC=ad,DC=bella,DC=pm
  # BindPassword of the user that is used to perform the LDAP connection.
  password: XinZE2r&8Gna37!h2t8Nr4Rk
  # BaseDN of the LDAP tree.
  baseDN: DC=ad,DC=bella,DC=pm
  # AD-Site - If set, the LDAP connection will be limited to this AD site.
  adSite: AT-TEST

# MySQL database configuration
database:
  # Server includes hostname and port
  server: 10.20.23.247:3306
  username: passbeyond
  password: passbeyond
  database: passbeyond

# General Reverse Proxy Configuration
proxy:
  # Strip Response Headers - If set to true, some response headers will be stripped.
  # Includes Server, X-Powered-By, ... headers.
  stripResponseHeaders: false
  # Send Performance Data - If set to true, PassBeyond will send performance data to the
  # user. E.g. timing to build a connection. Should only be enabled for debugging.
  sendPerformanceData: false
  # Allows ACME challenge requests to be proxied without authentication bypassing the
  # authentication requirement. This is required for Let's Encrypt.
  alwaysAllowACMEChallenge: false

session:
  expireHours: 720

authServer:
  # API Endpoint - If set, the API will be available to fetch user data.
  apiEndpoint: false

  # API Allowed Origins - List of allowed origins for the API.
  # This is used to allow CORS requests.
  apiAllowedOrigins:
    - passbeyond.bella.pm

  # Start Page Redirect - Redirect to this URL after login if no redirection
  # was requested. If this is not set, the user will be redirected to the start
  # page of PassBeyond.
  #startPageRedirect: "https://internal.company.com"

  # Internal IPs - List of IP ranges that are considered internal.
  # Allows to skip authentication.
  internalIPs:
    - 10.0.0.0/8
    - 172.16.0.0/12
    - 192.168.0.0/16
    - fd00::/8

  # Footer - HTML code that will be displayed in the footer of the login page.
  #footer: "Contact Company IT Support at <a href=\"mailto:example@company.com\">example@company.com</a>"
